<?php

/** Enable or disable display of php errors depending on the DEBUG
    constant set in config.php
     
    Active ou désactive l'affichage des erreurs php selon le
    paramètre DEBUG de config.php
*/
function debug(){
  require_once('config.php');
  if (DEBUG == 1){
    error_reporting(E_ALL);
  } 
  ini_set('display_errors', DEBUG);
}


/** Display html head
    
    Affiche l'entete html de la page
    
    @param $titre         title / titre
    @param $auteur        author / auteur
    @param $copyright     copyright / copyright
    @param $langue        language ("en" for english) / langue ("fr" pour francais)
    @param $description   description / description
    @param $mots_cles     keywords "keyword1, keyword2,..." / mots clés "mot 1, mot2,..."
 
*/
function affiche_entete_html($titre, $auteur, $copyright, $langue, $description, $mots_cles){
  
  echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">';
  echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">';
  echo '<head>';
  echo '<title>'.$titre.'</title>';
  echo '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';

  echo '<link rel="stylesheet" media="screen" type="text/css" title="Design par défaut" href="commun.css" />';

  echo '<link rel="icon" type="image/png" href="images/favicon.png" />';
  echo '<!--[if IE]><link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico" /><![endif]-->';

  echo '<script type="text/javascript" src="galerie.js"></script>';
  echo '<meta name="Author" content="'.$auteur.'"/>';
  echo '<meta name="Copyright" content="'.$copyright.'"/>';
  echo '<meta name="Language" content="'.$langue.'"/>';
  echo '<meta name="Description" content="'.$description.'"/>';
  echo '<meta name="Keywords" content="'.$mots_cles.'"/>';
  echo '</head>';
 
}

/** Display W3C XHTML/CSS validation buttons

    Affiche les boutons de XHTML et CSS valide
*/
function displayW3CButtons(){

  echo '
<p>
    <a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml11" alt="Valid XHTML 1.1" height="31" width="88" /></a>
     <a href="http://jigsaw.w3.org/css-validator/check/referer">
     <img style="border: 0 ; width:88px ; height: 31px" src="http://jigsaw.w3.org/css-validator/images/vcss" alt="CSS Valide !" />
     </a>
</p>';

}
?>