<?php 
/**
 *   DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
 *                    Version 2, December 2004
 *
 * Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
 *
 * Everyone is permitted to copy and distribute verbatim or modified
 * copies of this license document, and changing it is allowed as long
 * as the name is changed.
 *
 *            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 *
 *   0. You just DO WHAT THE FUCK YOU WANT TO.
 *
 * Auteur : kamui57 <kamui57@mailoo.org> alias Stéphanie Pleyer <stephanie.pleyer@mailoo.org>
 * cf http://forum.ubuntu-fr.org/viewtopic.php?pid=6126221
*/

/** Version 0.0.1
 *
 *  16/10/2011
 */

require_once('config.php');
require_once 'fonctions_upload.php';
require_once 'fonctions_general.php';

debug();
ini_set('display_errors', DEBUG);

// Affiche le head ("informations sur la page")
affiche_entete_html(TITLE, AUTHOR, AUTHOR, LANG, DESCRIPTION, KEYWORDS);

echo "<body>\n";
echo '<div id="content">';

// Lien vers la page d'accueil du reuploadpic. Changer WEBSITE_URL dans config.php.
echo '<h1><a href="'.WEBSITE_URL.dirname($_SERVER['PHP_SELF']).'">'.TITLE.'</a></h1>';echo "\n";

$erreur = false;
$fini = false;
$HEBERGEURS = unserialize(HEBERGEURS);  // charge la liste des hébergeurs

while(!$erreur && !$fini){ // Vérification des entrées
  if (!isset($_GET['url'])){ // Si pas d'url passée en paramètre
    $erreur = true;
    break;
  }
  if (DEBUG == 1){
    echo "<h1>url entrée : </h1><p>".$_GET['url']."</p>";
  }
  if (empty($_GET['url'])){ // Si l'url passée en paramètre est vide

    echo("<p>Donnez l'url d'une image distante svp</p>"); 
    $erreur = true;
    break;
  }

  if (!checkRemoteFile($_GET['url'])){ // Si le fichier distant n'est pas joignable (pour l'instant ne trouve pas en https)
    echo("<p>Fichier distant inexistant</p>"); 
    $erreur = true;
    break;
  }
  
  if (isset($_GET['hebergeur'])){ // Si aucun hébergeur n'est précisé
    $hebergeur = $_GET['hebergeur'];
  }else{
    $hebergeur = DEFAULT_HEBERGEUR; // cf config.php
  }
  if (DEBUG == 1){
    echo "<h1>hébergeur : </h1><p>".$hebergeur.'</p>';
  }

  $urlpic = $_GET['url']; // url de l'image

  if (isset($_GET['tags'])){ // tags
    $tags = htmlentities($_GET['tags'], ENT_QUOTES, 'UTF-8');
  }else{
    $tags = "";
  }
  if (isset($_GET['description'])){ // description
    $description = htmlentities($_GET['description'], ENT_QUOTES, 'UTF-8');
  }else{
    $description = "";
  }
  
  $img=file_get_contents($urlpic); // stockage de l'image dans le dossier local
  
  $tmpfilename=time(); // nom du fichier temporaire : timestamp
  file_put_contents($tmpfilename, $img); // écriture de l'image sur disque

  list($width, $height, $imagetype, $attr) = getimagesize($tmpfilename); // dimensions  et type de l'image

  switch ($imagetype){ // Détection du type de fichier
  case IMAGETYPE_GIF:
  case IMAGETYPE_JPEG:
  case IMAGETYPE_PNG:
    break;
      
  default: // Si ce n'est pas une image d'un type accepté erreur
    echo "<p>Erreur : le fichier n'est pas une image gif, png ou jpg.</p>";
    $erreur = true;
    break;
  
  }

  if (!$erreur){ // Si pas d'erreur on renomme l'image selon son type et on stocke le type mime
    $filename = $tmpfilename.image_type_to_extension($imagetype);
    $mimetype = image_type_to_mime_type($imagetype);
    rename($tmpfilename,$filename);

    // on l'uploade sur l'hébergeur spécifié
    upload($filename,$hebergeur,$tags,$description,$mimetype); // on uploade sur l'hébergeur
    unlink($filename); // on supprime le fichier sur ce serveur
    $fini = true;
  }
}

echo "<h2>Réhéberger une image</h2>";
$hebergeurs_inputs = listHebergeursForm($HEBERGEURS);
include('form.php');


echo "<div id='codes'></div>\n";

echo "</div>\n"; // Fin content
echo '<div id="footer">';echo "\n";


echo '<p>Par kamui57 - license WTFPL - <a href="reuploadpic-23-12-2012.tar.gz">Code source</a></p>';

// Affiche les boutons valide CSS et HTML
displayW3CButtons();

echo "</div>\n"; // Fin footer

echo "</body>\n";

echo "</html>\n";
?>

